/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.Facility;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class FacilityInMaintenance {
    public BigDecimal calcMaintCost() {
        return new BigDecimal(0);
    }

    public int calcProblemRate() {
        return 0;
    }

    public int calcProblemResolutionRate() {
        return 0;
    }

    public int calcDownTime() {
        return 0;
    }

    public int calcInspectionDetectedProblemRate() {
        return 0;
    }

    /**  */
    public Vector assessMaintRequestCompletionTimeliness() {
        return new Vector();
    }

    public int assessWhetherToMaintainOrReplace() {
        return 0;
    }

    public void monitorForPeriodicMaintAndGenerateRequests() {
    }

    public Vector listMaintRequests() {
        return new Vector();
    }

    public Vector listMaintenance() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1
     * @label derived
     */
    private FacilityMgmt.FacilityMaintenance.FacilityMaintenance lnkUnnamed3;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityMaintenance.FacilityMaintRequest lnkUnnamed2;

    /**
     * @supplierCardinality 1
     * @clientCardinality 0..1
     */
    private Facility lnkUnnamed;
}


